[gentoo-commits] repo/gentoo:master commit in: www-misc/bookmarksync/

2018-07-26 Thread Mikle Kolyada
commit: e2d424b2572d6a0c08b6ec703a78c499ef4d0379
Author: Mikle Kolyada  gentoo  org>
AuthorDate: Thu Jul 26 16:44:50 2018 +
Commit: Mikle Kolyada  gentoo  org>
CommitDate: Thu Jul 26 16:45:57 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2d424b2

www-misc/bookmarksync: Revision bump (EAPI=7)

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 www-misc/bookmarksync/bookmarksync-0.3.4-r3.ebuild | 43 ++
 1 file changed, 43 insertions(+)

diff --git a/www-misc/bookmarksync/bookmarksync-0.3.4-r3.ebuild 
b/www-misc/bookmarksync/bookmarksync-0.3.4-r3.ebuild
new file mode 100644
index 000..288100d5545
--- /dev/null
+++ b/www-misc/bookmarksync/bookmarksync-0.3.4-r3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="bookmarksync synchronizes various browser bookmark files"
+HOMEPAGE="https://sourceforge.net/projects/booksync/";
+SRC_URI="mirror://sourceforge/booksync/${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ppc x86"
+SLOT="0"
+
+IUSE="perl"
+RESTRICT="mirror"
+
+DEPEND=""
+RDEPEND="${DEPEND}
+   perl? ( dev-lang/perl )"
+
+src_prepare() {
+   default
+   sed -i Makefile \
+   -e 's|g++|$(CXX) $(CFLAGS)|g' \
+   -e 's| -o | $(LDFLAGS)&|g' \
+   || die "sed Makefile"
+   tc-export CXX
+}
+
+src_install () {
+   dobin bookmarksync
+   if use perl ; then
+   dobin tools/bookmarksync.pl
+   dodoc tools/README.tools
+   fi
+   dodoc README TODO DEVELOPERS
+}
+
+pkg_postinst () {
+   use perl && ewarn "You will need to modify bookmarksync.pl before use"
+}



[gentoo-commits] repo/gentoo:master commit in: www-misc/bookmarksync/

2018-07-26 Thread Mikle Kolyada
commit: 9e5e08cd100240c73885b6659a6065f507d1f3f3
Author: Mikle Kolyada  gentoo  org>
AuthorDate: Thu Jul 26 16:45:32 2018 +
Commit: Mikle Kolyada  gentoo  org>
CommitDate: Thu Jul 26 16:45:58 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e5e08cd

www-misc/bookmarksync: Drop old

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 www-misc/bookmarksync/bookmarksync-0.3.4-r2.ebuild | 42 --
 1 file changed, 42 deletions(-)

diff --git a/www-misc/bookmarksync/bookmarksync-0.3.4-r2.ebuild 
b/www-misc/bookmarksync/bookmarksync-0.3.4-r2.ebuild
deleted file mode 100644
index ade6c8153bb..000
--- a/www-misc/bookmarksync/bookmarksync-0.3.4-r2.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="2"
-
-inherit toolchain-funcs
-
-DESCRIPTION="bookmarksync synchronizes various browser bookmark files"
-HOMEPAGE="https://sourceforge.net/projects/booksync/";
-SRC_URI="mirror://sourceforge/booksync/${P}.tar.gz"
-
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ppc x86"
-SLOT="0"
-
-IUSE="perl"
-RESTRICT="mirror"
-
-DEPEND=""
-RDEPEND="${DEPEND}
-   perl? ( dev-lang/perl )"
-
-src_prepare() {
-   sed -i Makefile \
-   -e 's|g++|$(CXX) $(CFLAGS)|g' \
-   -e 's| -o | $(LDFLAGS)&|g' \
-   || die "sed Makefile"
-   tc-export CXX
-}
-
-src_install () {
-   dobin bookmarksync
-   if use perl ; then
-   dobin tools/bookmarksync.pl
-   dodoc tools/README.tools
-   fi
-   dodoc README TODO DEVELOPERS
-}
-
-pkg_postinst () {
-   use perl && ewarn "You will need to modify bookmarksync.pl before use"
-}